# Enumerator : Object
Return to: JavaScript Core index

Enumerator is a proprietary Microsoft object that iterates over items in a group.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
4.0+ | no | no | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
Enumerator Constructor(Object group) : Enumerator Creates a new instance of an Enumerator object. | Show Details | 4.0+ | no | no | no | no

### Enumerator(Object group) : Enumerator

Creates a new instance of an Enumerator object.

Parameters

Object | group | Group of items to be iterated over.

Returns

Enumerator |

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
atEnd() : Boolean Returns true if the current item is the last one in the group. | Show Details | 4.0+ | no | no | no | no

Returns

Boolean |

Remarks
  IE only. Supported in IE4+.
Availability

  JScript 3.0

item() : Object Returns the current item in the group. | Show Details | 4.0+ | no | no | no | no

Returns

Object |

Remarks
  IE only. Supported in IE4+.
Availability

  JScript 3.0

moveFirst() : Object Moves the current item to the first position in the group. | Show Details | 4.0+ | no | no | no | no

Returns

Object |

Remarks
  IE only. Supported in IE4+.
Availability

  JScript 3.0

moveNext() : Object Moves the current item to the next position in the group. | Show Details | 4.0+ | no | no | no | no

Returns

Object |

Remarks
  IE only. Supported in IE4+.
Availability

  JScript 3.0

## Remarks

IE only. Supported in IE4+.

## Availability

JScript 3.0

text_javascript aptana_docs